Index: trunk/client/modules/Elezioni/blocchi/00_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/00_affluenze.php	(revision 264)
+++ trunk/client/modules/Elezioni/blocchi/00_affluenze.php	(revision 265)
@@ -13,6 +13,9 @@
 // numero sezioni scrutinate
 //		$res2 = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-		$res2 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-		$sezioni=mysql_num_rows($res2);
+		$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+		$res2 = $dbi->prepare("$sql");
+		$res2->execute();
+
+		$sezioni=$res2->rowCount();
 		
 //echo "select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos";	
@@ -31,15 +34,21 @@
 #x Luciano: quella sopra diventa quella sotto. in rilaff ci sono tutte le date e orari di affluenza mentre in vot_parziale solo quelli inseriri
 # inoltre va messo il desc anche alla data altrimenti il risultato ha la data piu' bassa e l'ora piu' alta
-    $res = mysql_query("select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1", $dbi);
+    $sql="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
     if($res){
 
-        while(list($orario,$data) = mysql_fetch_row($res)) {
+        while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
         	list ($ore,$minuti,$secondi)=explode(':',$orario);
         	list ($anno,$mese,$giorno)=explode('-',$data);
         	$tot_v_m=0;$tot_v_d=0;$tot_t=0;
 	
-  		$res1 = mysql_query("select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ",$dbi);
+  		$sql="select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ";
+		$resl = $dbi->prepare("$sql");
+		$resl->execute();
 
-		$numero=mysql_num_rows($res1);
+
+		$numero=$res1->rowCount();
 	
 		echo "<br /><div><h5>Ultime Affluenze</h5></div>";
@@ -51,7 +60,13 @@
 		
 #modifica del 26giugno 09 per gestione circoscrizionali
-if($genere==0)		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
+if($genere==0)		
+	$sql="select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " ;
+
+
 else
-  		$res1 = mysql_query("select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos",$dbi);
+  	$sql="select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";
+$resl = $dbi->prepare("$sql");
+$resl->execute();
+
 #fine modifica
                                                                                                                                        
@@ -59,24 +74,29 @@
 		
                                                                                                                              
-                while(list($voti_t, $num_gruppo,$id_gruppo) = mysql_fetch_row($res1)) {
+                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
 //  		$res1 = mysql_query(,$dbi);
 //                	$query="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where orario='$orario' and data='$data' and id_cons='$id_cons'";
-$query="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-                	if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
-                	$res_aff=mysql_query($query, $dbi);
-			$voti_numero=mysql_num_rows($res_aff);
+$sql="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+    if ($genere==0){$sql.=" and t3.id_gruppo=$id_gruppo";}
+		$res_aff = $dbi->prepare("$sql");
+		$res_aff->execute();
+
+			$voti_numero=$res_aff->rowCount();
  //               	$query="select sum(maschi+femmine) from ".$prefix."_ele_voti_parziale as t1 , ".$prefix."_ele_sezioni as t2 where t1.id_cons=$id_cons and t1.id_sez=t2.id_sez and orario='$orario' and data='$data'";
-			$query="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+			$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
 			
-			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$res1234=mysql_query($query, $dbi);
-                	list($tot)=mysql_fetch_row($res1234);
+			if ($genere==0){$sql.=" and id_gruppo=$id_gruppo";}
+				$res1234 = $dbi->prepare("$sql");
+				$res1234->execute();
+
+                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
                 	if ($tot)
                 	$perc=number_format($voti_t*100/$tot,2);
-			else {$tot=0;$perc="0.00";}																	echo "<table class=\"td-80\"><tr class=\"bggray\">";
+			else {$tot=0;$perc="0.00";}																	
+			echo "<table class=\"td-80\"><tr class=\"bggray\">";
 			if ($genere==0){echo "<td>N.</td>";}
-                	echo "<td><b>"._VOTANTI."</b></td><td><b>"._PERCE."</b></td>";
-                	echo "<td><b>"._SEZIONI."</b></td>";
-			echo "</tr>";
+				echo "<td><b>"._VOTANTI."</b></td><td><b>"._PERCE."</b></td>";
+				echo "<td><b>"._SEZIONI."</b></td>";
+				echo "</tr>";
         		echo "<tr class=\"bggray2\">";
         		if ($genere==0){echo "<td>$num_gruppo</td>";}
Index: trunk/client/modules/Elezioni/blocchi/01_votanti.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/01_votanti.php	(revision 264)
+++ trunk/client/modules/Elezioni/blocchi/01_votanti.php	(revision 265)
@@ -23,10 +23,16 @@
 	if ($genere!=0) { // referendum
 
-	$res = mysql_query("select sum(t1.maschi+t1.femmine)   from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and validi>0 $circos",$dbi);
-	list($tot_aventi)  = mysql_fetch_row($res);
+	$sql="select sum(t1.maschi+t1.femmine)   from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and validi>0 $circos";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 
-	$res = mysql_query("select sum(t1.validi+t1.nulli+t1.bianchi+t1.contestati) as tot,
+	list($tot_aventi)  = $res->fetch(PDO::FETCH_NUM);
+
+	$sql="select sum(t1.validi+t1.nulli+t1.bianchi+t1.contestati) as tot,
 		sum(t1.validi),sum(t1.nulli),sum(t1.bianchi),sum(t1.contestati), '0', '0', '0'
- 		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and validi>0 $circos",$dbi);
+ 		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and validi>0 $circos";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
 
 	}else{
@@ -34,26 +40,43 @@
 
 
-	$res = mysql_query("SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-	list($tot_aventi)  = mysql_fetch_row($res);
-		$res = mysql_query("SELECT  sum(validi+nulli+bianchi+contestati) as tot,
+	$sql="SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($tot_aventi)  = $res->fetch(PDO::FETCH_NUM);
+		$sql?"SELECT  sum(validi+nulli+bianchi+contestati) as tot,
 		sum(validi),sum(nulli),sum(bianchi),sum(contestati), id_gruppo, sum(si), sum(no)
-		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>'0'",$dbi);
+		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>'0'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
 	}
 
 	$i=0;
 
-	while (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id,$si,$no) = mysql_fetch_row($res)){
+	while (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id,$si,$no) = $res->fetch(PDO::FETCH_NUM)){
 
 # calcolo sezioni 
-if($genere==0) $res_sez = mysql_query("select count(0) from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' and id_gruppo='$id'", $dbi);
-else $res_sez = mysql_query("select count(0) from ".$prefix."_ele_sezioni where id_cons='$id_cons' and validi+nulli+bianchi+contestati>0", $dbi);
+if($genere==0) $sql="select count(0) from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons' and id_gruppo='$id'";
+	
+
+else $sql="select count(0) from ".$prefix."_ele_sezioni where id_cons='$id_cons' and validi+nulli+bianchi+contestati>0";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
 if($res_sez)
-        list($numero)=mysql_fetch_row($res_sez);
+        list($numero)=$res_sez->fetch(PDO::FETCH_NUM);
 else
         $numero=0;
-$res_sez = mysql_query("select t3.* from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join
-".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos group by t3.id_sez ",$dbi);
-$res_sez = mysql_query("select t1.* from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi); 
-$sezioni=mysql_num_rows($res_sez);
+$sql="select t3.* from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join
+".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos group by t3.id_sez ";
+	$res_sez = $dbi->prepare("$sql");
+	$res_sez->execute();
+
+$sql="select t1.* from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$res_sez = $dbi->prepare("$sql");
+	$res_sez->execute();
+ 
+$sezioni=$res_sez->rowCount();
 
 		$tot_votanti=$validi+$bianchi+$nulli+$contestati;
@@ -75,6 +98,9 @@
 
 		if ($genere==0) {
-			$resg = mysql_query("SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id",$dbi);
-			list($num_gruppo,$descr_gruppo)  = mysql_fetch_row($resg);
+			$sql="SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id";
+			$resg = $dbi->prepare("$sql");
+			$resg->execute();
+
+			list($num_gruppo,$descr_gruppo)  = $resg->fetch(PDO::FETCH_NUM);
 		}
 		  
Index: trunk/client/modules/Elezioni/blocchi/04_sezioni.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/04_sezioni.php	(revision 264)
+++ trunk/client/modules/Elezioni/blocchi/04_sezioni.php	(revision 265)
@@ -11,6 +11,9 @@
 }
 global  $prefix, $dbi,$id_cons_gen;
-$sql = mysql_query("select chiusa  from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen'",$dbi);
-		list($chiusa) = mysql_fetch_row($sql);
+$sql = "select chiusa  from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+		list($chiusa) = $res->fetch(PDO::FETCH_NUM);
 		
 		//if($chiusa!='1') numeri_sezione(); # se la consultazione non Ãš chiusa
@@ -33,11 +36,14 @@
 
 		# numero sezioni
-		$res = mysql_query("select t1.id_sez,t1.num_sez  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos order by t1.num_sez",$dbi);
-		$max = mysql_num_rows($res);
+		$sql="select t1.id_sez,t1.num_sez  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos order by t1.num_sez";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+
+		$max = $res->rowCount();
 		if(!isset($html)) $html='';
 		$html = "\n<table  style=\"margin:0px auto;border:0px; width:90%\"><tr>";
 		
 		$i=0;$id_circ_old=0;$e=0;
-		while(list($sez_id, $sez_num) = mysql_fetch_row($res)) {
+		while(list($sez_id, $sez_num) = $res->fetch(PDO::FETCH_NUM)) {
 			$i++;
 			/****************************************************************/     
@@ -57,6 +63,9 @@
 			#colora la sezione
 			# verifica se la sezione Ãš scrutinata
-			 $res2 = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where   id_sez='$sez_id'",$dbi);
-			 $numero=mysql_num_rows($res2); 
+			 $sql="select *  from ".$prefix."_ele_voti_".$tab." where   id_sez='$sez_id'";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+
+			 $numero=$res2->rowCount(); 
 			 if ($numero!=0){$e++;$bgsez="#FFFF00";}else{$bgsez="";}
 			
Index: trunk/client/modules/Elezioni/blocchi/bar_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/bar_affluenze.php	(revision 264)
+++ trunk/client/modules/Elezioni/blocchi/bar_affluenze.php	(revision 265)
@@ -15,11 +15,16 @@
 // numero sezioni scrutinate
 
-		$res2 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-		$sezioni=mysql_num_rows($res2);
+		$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
 
-    $res = mysql_query("select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1", $dbi);
-    if($res){
+		$sezioni=$res2->fetch(PDO::FETCH_NUM);
 
-        while(list($orario,$data) = mysql_fetch_row($res)) {
+    $sql="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1", $dbi);
+ 	$res = $dbi->prepare("$sql");
+	$res->execute();
+ if($res){
+
+        while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
         	list ($ore,$minuti,$secondi)=explode(':',$orario);
         	list ($anno,$mese,$giorno)=explode('-',$data);
@@ -27,6 +32,9 @@
 	
 
-  		$res1 = mysql_query("select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ",$dbi);
-		$numero=mysql_num_rows($res1);
+  		$sql="select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ";
+		$resl = $dbi->prepare("$sql");
+		$resl->execute();
+
+		$numero=$res1->rowCount();
 	
 		echo "<h5>Ultime Affluenze</h5>";
@@ -38,7 +46,11 @@
 #		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
 #modifica del 26giugno 09 per gestione circoscrizionali
-if($genere==0)		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
+if($genere==0)		
+	$sql="select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo ";
 else
-  		$res1 = mysql_query("select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos",$dbi);
+	$sql="select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";
+$resl = $dbi->prepare("$sql");
+$resl->execute();
+
 #fine modifica
 
@@ -46,16 +58,18 @@
 
 
-                while(list($voti_t, $num_gruppo,$id_gruppo) = mysql_fetch_row($res1)) {
+                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
 
-			$query="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-                	if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
-                	$res_aff=mysql_query($query, $dbi);
-			$voti_numero=mysql_num_rows($res_aff);
+			$sql="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+                	if ($genere==0){$sql.=" and t3.id_gruppo=$id_gruppo";} 
+			$res_aff = $dbi->prepare("$sql");
+			$res_aff->execute();
+			$voti_numero=$res_aff->rowCount();
               	
-			$query="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+			$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
 			
-			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$res1234=mysql_query($query, $dbi);
-                	list($tot)=mysql_fetch_row($res1234);
+			if ($genere==0){$sql.=" and id_gruppo=$id_gruppo";}
+			$res1234 = $dbi->prepare("$sql");
+			$res1234->execute();
+                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
                 	if ($tot)
 			    $perc=number_format($voti_t*100/$tot,2);
Index: trunk/client/modules/Elezioni/blocchi/bloccolink.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/bloccolink.php	(revision 264)
+++ trunk/client/modules/Elezioni/blocchi/bloccolink.php	(revision 265)
@@ -3,10 +3,13 @@
 
 global $genere,$id_cons_gen,$id_cons,$id_comune,$prefix,$dbi;
-$result = mysql_query("select mid, title, preamble, content,editimage from ".$prefix."_ele_link where id_cons='$id_cons' order by mid ", $dbi);
-    if (mysql_num_rows($result) == 0) {
+	$sql="select mid, title, preamble, content,editimage from ".$prefix."_ele_link where id_cons='$id_cons' order by mid ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+    if ($res->rowCount() == 0) {
 	return;
     } else {
 	echo "<h5>"._LINK."</h5><p>";
-	while (list($mid, $title, $preamble,$content,  $editimage) = mysql_fetch_row($result)) {
+	while (list($mid, $title, $preamble,$content,  $editimage) = $res->fetch(PDO::FETCH_NUM)) {
   		if ($title != "" && $content != "") {
 			$content = stripslashes($content);
Index: trunk/client/modules/Elezioni/blocchi/cerca_candidato.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 264)
+++ trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 265)
@@ -68,18 +68,36 @@
 	}
 
-	$sql_cand= mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 
-	$numeratore nome like '%$cognome%')) and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune')", $dbi);
-	$num_tot = mysql_num_rows($sql_cand); 
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 	  $numeratore nome like '%$cognome%'))  and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune') ORDER BY id_cand DESC LIMIT 0,7", $dbi);
-	while (list($id_cand,$id_cons2,$id_lista,$cognome,$nome,$note,$simbolo,$num_candidato) = mysql_fetch_row($res)) {
-		$res1 = mysql_query("SELECT id_cons_gen FROM ".$prefix."_ele_cons_comune  where id_cons='$id_cons2'" , $dbi);	
-			list($id_cons_gen_cand) = mysql_fetch_row($res1);
-		$res2 = mysql_query("SELECT descrizione, tipo_cons FROM ".$prefix."_ele_consultazione  where id_cons_gen='$id_cons_gen_cand'" , $dbi);
-			list($descr_consultazione,$tipo_consul) = mysql_fetch_row($res2);
-		$res3 = mysql_query("SELECT descrizione FROM ".$prefix."_ele_lista  where id_lista='$id_lista'" , $dbi);
-			list($descr_lista) = mysql_fetch_row($res3);
+	$sql="SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 
+	$numeratore nome like '%$cognome%')) and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune')";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 
-		$res4 = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons2'",$dbi);
-		$sezioni=mysql_num_rows($res4);
+	$num_tot = $res->rowCount(); 
+	$sql="SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 	  $numeratore nome like '%$cognome%'))  and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune') ORDER BY id_cand DESC LIMIT 0,7";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	while (list($id_cand,$id_cons2,$id_lista,$cognome,$nome,$note,$simbolo,$num_candidato) = $res->fetch(PDO::FETCH_NUM)) {
+		$sql="SELECT id_cons_gen FROM ".$prefix."_ele_cons_comune  where id_cons='$id_cons2'" ;
+		$resl = $dbi->prepare("$sql");
+		$resl->execute();
+		
+			list($id_cons_gen_cand) = $res1->fetch(PDO::FETCH_NUM);
+		$sql="SELECT descrizione, tipo_cons FROM ".$prefix."_ele_consultazione  where id_cons_gen='$id_cons_gen_cand'" ;
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+
+			list($descr_consultazione,$tipo_consul) = $res2->fetch(PDO::FETCH_NUM);
+		$sql="SELECT descrizione FROM ".$prefix."_ele_lista  where id_lista='$id_lista'" ;
+	$res3 = $dbi->prepare("$sql");
+	$res3->execute();
+
+			list($descr_lista) = $res3->fetch(PDO::FETCH_NUM);
+
+		$sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons2'";
+	$res4 = $dbi->prepare("$sql");
+	$res4->execute();
+
+		$sezioni=$res4->rowCount();
 		$cerca_cand .= "<div style=\"text-align:left\"><hr/>";
 		$cerca_cand .= "<img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_lista=$id_lista\" width=\"30\" heigth=\"30\" align=\"left\">";
Index: trunk/client/modules/Elezioni/blocchi/gom_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 264)
+++ trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 265)
@@ -15,11 +15,17 @@
 // numero sezioni scrutinate
 
-		$res2 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-		$sezioni=mysql_num_rows($res2);
+		$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
 
-    $res = mysql_query("select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1", $dbi);
+		$sezioni=$res2->rowCount();
+
+    $sql="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
     if($res){
 
-        while(list($orario,$data) = mysql_fetch_row($res)) {
+        while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
         	list ($ore,$minuti,$secondi)=explode(':',$orario);
         	list ($anno,$mese,$giorno)=explode('-',$data);
@@ -27,6 +33,9 @@
 	
 
-  		$res1 = mysql_query("select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ",$dbi);
-		$numero=mysql_num_rows($res1);
+  		$sql="select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ";
+	$resl = $dbi->prepare("$sql");
+	$resl->execute();
+
+		$numero=$res1->rowCount();
 	
 		echo "<h5>Ultime Affluenze</h5>";
@@ -38,7 +47,11 @@
 #		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
  #modifica del 26giugno 09 per gestione circoscrizionali
-if($genere==0)		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
+if($genere==0)		
+	$sql="select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " ;
 else
-  		$res1 = mysql_query("select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos",$dbi);
+  	$sql="select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";
+$resl = $dbi->prepare("$sql");
+$resl->execute();
+
 #fine modifica
                                                                                                                                       
@@ -47,16 +60,20 @@
 		
                                                                                                                              
-                while(list($voti_t, $num_gruppo,$id_gruppo) = mysql_fetch_row($res1)) {
+                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
 
-			$query="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-                	if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
-                	$res_aff=mysql_query($query, $dbi);
-			$voti_numero=mysql_num_rows($res_aff);
+			$sql="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+            if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
+			$res_aff = $dbi->prepare("$sql");
+			$res_aff->execute();
+
+			$voti_numero=$res_aff->rowCount();
               	
-			$query="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+			$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
 			
 			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$res1234=mysql_query($query, $dbi);
-                	list($tot)=mysql_fetch_row($res1234);
+			$res1234 = $dbi->prepare("$sql");
+			$res1234->execute();
+
+                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
                 	if ($tot)
 			    $perc=number_format($voti_t*100/$tot,2);
